- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions

# QInputMethodEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 426 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QInputMethodEvent:
[legend]

List of all members.

## Classes
class | Attribute
## Public Types
enum | AttributeType { TextFormat, Cursor, Language, Ruby, Selection }
## Public Member Functions
| QInputMethodEvent ()
| QInputMethodEvent (const QString &preeditText, const QList< Attribute > &attributes)
void | setCommitString (const QString &commitString, int replaceFrom=0, int replaceLength=0)
const QList< Attribute > & | attributes () const
const QString & | preeditString () const
const QString & | commitString () const
int | replacementStart () const
int | replacementLength () const
| QInputMethodEvent (const QInputMethodEvent &other)

## Member Enumeration Documentation

enum AttributeType

Search for all occurrences

Enumerator:

  TextFormat | Search for all occurrences
  Cursor | Search for all occurrences
  Language | Search for all occurrences
  Ruby | Search for all occurrences
  Selection | Search for all occurrences

Definition at line 429 of file qevent.h.

                           {
           TextFormat,
           Cursor,
           Language,
           Ruby,
           Selection
        };

## Constructor & Destructor Documentation

QInputMethodEvent | ( |  | ) |

QInputMethodEvent | ( | const QString & | preeditText,
|  | const QList< Attribute > & | attributes
| ) |  |

QInputMethodEvent | ( | const QInputMethodEvent & | other | ) |

## Member Function Documentation

void setCommitString | ( | const QString & | commitString,
|  | int | replaceFrom = `0`,
|  | int | replaceLength = `0`
| ) |  |

Search for all occurrences

const QList<Attribute>& attributes | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 449 of file qevent.h.

    { return attrs; }

const QString& preeditString | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 450 of file qevent.h.

    { return preedit; }

const QString& commitString | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 452 of file qevent.h.

    { return commit; }

int replacementStart | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 453 of file qevent.h.

    { return replace_from; }

int replacementLength | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 454 of file qevent.h.

    { return replace_length; }

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent
QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent QInputMethodEvent